Get report images via request parameters
Creates an asynchronous job for obtaining SVG images for the report. To specify report elements to render, use POST /jobs.
1{2 "id": "d145d576-78d0-42d4-a5fc-569cd0533903",3 "version": 2,4 "state": "running",5 "durationMSec": 155,6 "creationTimeStamp": "2017-11-17T18:46:59.774000Z",7 "links": [8 {9 "method": "GET",10 "rel": "self",11 "href": "/reportImages/jobs/d145d576-78d0-42d4-a5fc-569cd0533903",12 "uri": "/reportImages/jobs/d145d576-78d0-42d4-a5fc-569cd0533903",13 "type": "application/vnd.sas.report.images.job+json"14 },15 {16 "method": "GET",17 "rel": "state",18 "href": "/reportImages/jobs/d145d576-78d0-42d4-a5fc-569cd0533903/state",19 "uri": "/reportImages/jobs/d145d576-78d0-42d4-a5fc-569cd0533903/state",20 "type": "text/plain"21 }22 ],23 "images": [24 {25 "sectionIndex": 0,26 "sectionName": "vi6",27 "sectionLabel": "Page 1",28 "elementName": "ve41",29 "modifiedTimeStamp": "2017-11-16T18:19:23.600000Z",30 "visualType": "Table",31 "size": "268x151",32 "state": "completed",33 "links": [34 {35 "method": "GET",36 "rel": "image",37 "href": "/reportImages/images/K738605462B1380786238.svg",38 "uri": "/reportImages/images/K738605462B1380786238.svg",39 "type": "image/svg+xml"40 },41 {42 "method": "POST",43 "rel": "render",44 "href": "/reportImages/jobs?elementId=ve41&reportUri=/reports/reports/ffdfe936-80a9-4969-a786-4a314df13f3f&layoutType=thumbnail&size=268x151",45 "uri": "/reportImages/jobs?elementId=ve41&reportUri=/reports/reports/ffdfe936-80a9-4969-a786-4a314df13f3f&layoutType=thumbnail&size=268x151",46 "type": "application/vnd.sas.report.images.job"47 },48 {49 "method": "POST",50 "rel": "resize",51 "href": "/reportImages/jobs?elementId=ve41&reportUri=/reports/reports/ffdfe936-80a9-4969-a786-4a314df13f3f&layoutType=thumbnail&size={size}",52 "uri": "/reportImages/jobs?elementId=ve41&reportUri=/reports/reports/ffdfe936-80a9-4969-a786-4a314df13f3f&layoutType=thumbnail&size={size}",53 "type": "application/vnd.sas.report.images.job"54 }55 ]56 },57 {58 "sectionIndex": 1,59 "sectionName": "vi47",60 "sectionLabel": "Page 2",61 "elementName": "ve50",62 "modifiedTimeStamp": "2017-11-12T14:05:13.450000Z",63 "visualType": "pie",64 "size": "268x151",65 "state": "running",66 "links": [67 {68 "method": "GET",69 "rel": "staleImage",70 "href": "/reportImages/images/K738605462B1234567890.svg",71 "uri": "/reportImages/images/K738605462B1234567890.svg",72 "type": "image/svg+xml"73 },74 {75 "method": "POST",76 "rel": "render",77 "href": "/reportImages/jobs?elementId=ve50&reportUri=/reports/reports/ffdfe936-80a9-4969-a786-4a314df13f3f&layoutType=thumbnail&size=268x151",78 "uri": "/reportImages/jobs?elementId=ve50&reportUri=/reports/reports/ffdfe936-80a9-4969-a786-4a314df13f3f&layoutType=thumbnail&size=268x151",79 "type": "application/vnd.sas.report.images.job"80 },81 {82 "method": "POST",83 "rel": "resize",84 "href": "/reportImages/jobs?elementId=ve50&reportUri=/reports/reports/ffdfe936-80a9-4969-a786-4a314df13f3f&layoutType=thumbnail&size={size}",85 "uri": "/reportImages/jobs?elementId=ve50&reportUri=/reports/reports/ffdfe936-80a9-4969-a786-4a314df13f3f&layoutType=thumbnail&size={size}",86 "type": "application/vnd.sas.report.images.job"87 }88 ]89 }90 ]91}| Name | Type | Required | Description |
|---|---|---|---|
layoutType | string | false | The type of image to render. thumbnail -- selects a suitable report element and reduces the detail to better render at a smaller size. normal -- selects a suitable report element, but there is no reduction of detail. entireSection -- the entire section (page). Allowed values: thumbnailnormalentireSection Default: thumbnail |
refresh | boolean | false | If true, bypass caches and generate a new image. Default: false |
renderLimit | integer<int32> | false | Limit how many images to render. For no limit, set to -1. Clients can specify "1" to quickly get the first image and how many remaining images are available. Default: -1 |
sectionIndex | integer<int32> | false | The section to render. This parameter applies when layoutType==entireSection. Default: 0 |
selectionType | string | false | The selected operation. report -- get a single image, representing the entire report. perSection -- get one image per section. visualElements -- specify the visual elements to render in parameter visualElementNames or visualElementName for the /directImage operation. Allowed values: reportperSectionvisualElements Default: report |
visualElementNames | string | false | If "selectionType=visualElements" is specified, this parameter lists the element names to render. Separate multiple elements with commas. |
wait | number<float> | false | The number of seconds to wait for an update before returning from the "long poll". The maximum is 30 seconds. Default: 0.5 |
reportUri | string | true | The report from which to generate images. |
size | string | true | The size of the rendered image. Format is widthxheight, with no spaces. For example, "268x151". |
| Name | Type | Required | Description |
|---|---|---|---|
Accept-Language | string | false | The user's locale. For non-thumbnail operations, this locale is a factor for both rendering and caching. For thumbnail requests, typically only the right-to-left aspect is considered. Thumbnails do not typically include localizable content, and consequently are shareable among users with different locales. For details, see Accept-Language. |
Accept-Locale | string | false | A "format locale" distinct from the user's language (Accept-Language). Usage and syntax is similar to Accept-Language. |
| Status | Meaning | Description | ||
|---|---|---|---|---|
| 201 | Created | The job has both been created and is in the "completed" state; the image(s) are ready. | Headers | Schema |
| 202 | Accepted | The job has been created, but has not completed. | Headers | Schema |
| 400 | Bad Request | The request was invalid. | Headers | Schema |
| 404 | Not Found | The report could not be found. | Headers | Schema |